Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235809 (dbus-race-condition) - bind crashes on restart and also when running without forwarders
Summary: bind crashes on restart and also when running without forwarders
Keywords:
Status: CLOSED ERRATA
Alias: dbus-race-condition
Product: Fedora
Classification: Fedora
Component: bind
Version: 6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 240876
TreeView+ depends on / blocked
 
Reported: 2007-04-10 09:52 UTC by Matěj Cepl
Modified: 2018-04-11 18:25 UTC (History)
3 users (show)

Fixed In Version: 9.4.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 15:59:17 UTC


Attachments (Terms of Use)
output of grep named /var/log/messages (deleted)
2007-04-10 09:52 UTC, Matěj Cepl
no flags Details
/etc/named.conf (deleted)
2007-04-10 09:53 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2007-04-10 09:52:59 UTC
Description of problem:
Using bind as a caching nameserver (without chroot) to connect to my ISP and to
RH's intranet (see attached named.conf). I played a little bit with opendns.com,
but now I have forwarders set only to the DNS server of my ISP provider
(ns.ph.ipex.cz).

Suddenly I begun to getting resolutions of everything to 1.0.0.0 -- couple of
times before I suspected some kind of misconfiguration and after couple of
restarts the problem went away. Today, it didn't so I switched off all
forwarding and run 'service named restart'. bind crashed I was able to make bind
working only when:

a) I set up forwarder again (this time just to my ISP DNS server, not OpenDNS)
b) I used 'service named stop; service named start' with 'service named restart'
bind constantly crashes.

Any questions?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2007-04-10 09:52:59 UTC
Created attachment 152124 [details]
output of grep named /var/log/messages

Comment 2 Matěj Cepl 2007-04-10 09:53:39 UTC
Created attachment 152125 [details]
/etc/named.conf

Comment 3 Adam Tkac 2007-04-10 17:18:49 UTC
Optional schema is this:

When you want use named like caching-only nameserver, please install
caching-nameserver package and work with /etc/named.caching-nameserver.conf &
/etc/named.rfc1912.zones configfiles. If you want use named like local
nameserver, please config your own zones and put your configuration to
/etc/named.conf (for example with system-config-bind utility). This always works
better than "wild" configurations which you write :). But this end of named
(sigsegv) is really bad, so let me check it.

-A-

Comment 4 Matěj Cepl 2007-04-11 14:34:19 UTC
Just for the record -- I DID try system-config-bind and the results were exactly
the same as with my own named.conf (actually, the generated named.conf was the
same, so no surprise here).

Comment 5 Adam Tkac 2007-04-27 14:15:31 UTC
Could be fixed in latest bind.

Regards, -A-

Comment 6 Fedora Update System 2007-06-08 15:59:01 UTC
bind-9.4.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.